// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include <memory>
#include <string>

using std::shared_ptr;
using std::wstring;

namespace Sourcify
{	
	class ISCW_FOptionalPinFromProperty
	{
	public:
		virtual ~ISCW_FOptionalPinFromProperty() = default;

		virtual bool GetShowPin() const = 0;
		
		virtual shared_ptr<ISCW_FOptionalPinFromProperty> ToFOptionalPinFromPropertyPtr() = 0;
		virtual shared_ptr<const ISCW_FOptionalPinFromProperty> ToFOptionalPinFromPropertyPtr() const = 0;
	};

	using ISCW_FOptionalPinFromPropertyConstPtr = shared_ptr<const ISCW_FOptionalPinFromProperty>;
	using ISCW_FOptionalPinFromPropertyPtr = shared_ptr<ISCW_FOptionalPinFromProperty>;
} // namespace Sourcify